Re: [HACKERS] port of INSTALL file generation to XSLT

2017-03-08 Thread Peter Eisentraut
On 3/1/17 20:23, Magnus Hagander wrote: > On Wed, Mar 1, 2017 at 3:58 AM, Peter Eisentraut > > wrote: > > On 2/28/17 08:57, Magnus Hagander wrote: > > It appears we need pandoc 1.13 to get the good output.

Re: [HACKERS] port of INSTALL file generation to XSLT

2017-03-01 Thread Magnus Hagander
On Wed, Mar 1, 2017 at 3:58 AM, Peter Eisentraut < peter.eisentr...@2ndquadrant.com> wrote: > On 2/28/17 08:57, Magnus Hagander wrote: > > It appears we need pandoc 1.13 to get the good output. This won't be > > available until Debian stretch. > > > > So for PG10, I propose the

Re: [HACKERS] port of INSTALL file generation to XSLT

2017-02-28 Thread Peter Eisentraut
On 2/28/17 08:57, Magnus Hagander wrote: > It appears we need pandoc 1.13 to get the good output. This won't be > available until Debian stretch. > > So for PG10, I propose the attached revised patch which keeps using lynx > but uses xsltproc instead of jade. > > > It is

Re: [HACKERS] port of INSTALL file generation to XSLT

2017-02-28 Thread Magnus Hagander
On Mon, Feb 27, 2017 at 4:55 PM, Peter Eisentraut < peter.eisentr...@2ndquadrant.com> wrote: > On 12/31/16 07:33, Magnus Hagander wrote: > > Borka being a standard debian jessie install has Pandoc > > 1.12.4.2~dfsg-1+b14. Should be no problem installing that. > > > > I ran a "make INSTALL" on a

Re: [HACKERS] port of INSTALL file generation to XSLT

2017-02-27 Thread Peter Eisentraut
On 12/31/16 07:33, Magnus Hagander wrote:
> Borka being a standard debian jessie install has Pandoc
> 1.12.4.2~dfsg-1+b14. Should be no problem installing that.
> 
> I ran a "make INSTALL" on a jessie box, and it comes out with some
> formatting still in the file, see attachment. That seems 

Re: [HACKERS] port of INSTALL file generation to XSLT

2016-12-31 Thread Magnus Hagander
On Sat, Dec 31, 2016 at 6:57 AM, Peter Eisentraut < peter.eisentr...@2ndquadrant.com> wrote: > A further step toward getting rid of the DSSSL tool chain requirement, > here is a patch to change the generation of the text INSTALL file to use > XLST and Pandoc. > > The change to Pandoc is not